package com.dbs.consentServer.mapper;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.dbs.consentServer.VO.consentVO.ConsentFormListVO;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

@Repository
@Mapper
public interface ConsentMapper {
  public List<ConsentFormListVO> getUserFormSet(Map<String, String> params);
  public List<ConsentFormListVO> getConsentBySearch(Map<String, String> params);
  public ArrayList<ConsentFormListVO> getConsentList(Map<String, Object> params);
  public Integer updateConsentMstForDelete(Map<String, Object> params);
  public String getConsentMstForDeleteOcrTag(HashMap<String, Object> params);
  public int updateMrfhOcrPrntStatCd(HashMap<String, Object> params);
  public String getOcrTag();
}
